Download it now!
Bug 132911 - Crash swlo!BigPtrArray::Index2Block+0xc8:
Summary: Crash swlo!BigPtrArray::Index2Block+0xc8:
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2 all versions
Hardware: All All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:7.1.0 target:6.4.7 target:7.0....
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Crash-BigPtrArray Crash redline-regressions
  Show dependency treegraph
 
Reported: 2020-05-10 10:59 UTC by Telesto
Modified: 2020-11-19 11:09 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (72.14 KB, application/vnd.oasis.opendocument.text)
2020-05-10 11:00 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-05-10 10:59:48 UTC
Description:
Crash swlo!BigPtrArray::Index2Block+0xc8: Not sure if this a dupe

Steps to Reproduce:
1. Open the attached file
CTRL+A

CTRL+X
CTRL+V
CTRL+V
CTRL+Z
CTRL+Z
CTRL+V -> No effect
CTRL+V
CTRL+Z
CTRL+Z

Actual Results:
Crash

Expected Results:
No crash


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.0.0.0.alpha0+ (x64)
Build ID: 97a2c1fc5e376c0c00968f17a0392c6d3a5ed565
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win; 
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: threaded
Comment 1 Telesto 2020-05-10 11:00:01 UTC
Created attachment 160593 [details]
Example file
Comment 2 Telesto 2020-05-10 12:18:54 UTC Comment hidden (obsolete)
Comment 3 Telesto 2020-05-10 12:20:37 UTC Comment hidden (obsolete)
Comment 4 Telesto 2020-05-10 12:25:51 UTC Comment hidden (obsolete)
Comment 5 Xisco Faulí 2020-05-11 09:22:35 UTC
Which steps should we follow? please state the comment to follow and mark the rest as obsolete
Comment 6 Telesto 2020-05-11 09:57:54 UTC Comment hidden (obsolete)
Comment 7 Telesto 2020-06-17 21:19:51 UTC
Not in 
4.4.7.2
Comment 8 Dieter 2020-06-26 14:21:58 UTC
Infinite loop with

Version: 7.0.0.0.beta2 (x64)
Build ID: 1c213561a365b5666167321de68c9977500c9612
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: en-GB
Calc: CL
Comment 9 raal 2020-06-27 22:21:53 UTC
confirmed in comment 8
Comment 10 Xisco Faulí 2020-06-29 09:22:08 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=4532845e22c10f252840887e55002307227b2390

author	Michael Stahl <Michael.Stahl@cib.de>	2018-07-26 14:12:53 +0200
committer	Michael Stahl <Michael.Stahl@cib.de>	2018-09-19 10:18:20 +0200
commit	4532845e22c10f252840887e55002307227b2390 (patch)
tree	741de848b9080b867a0042617a4c38b70b419630
parent	d76b06da2eae5a8d62761ad95c92295cddd7b440 (diff)
sw_redlinehide_2: add *another* flag to DocumentRedlineManager

Bisected with: bibisect-linux64-6.2

Adding Cc: to Michael Stahl
Comment 11 Commit Notification 2020-07-22 09:21:34 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/14bdbc36f0cf3913f6de10c746044b6aadf37095

tdf#132911 sw_redlinehide: fix assert in CopyImplImpl()

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Michael Stahl (CIB) 2020-07-22 09:23:16 UTC
i fixed a crash after step 3 on master, hope it's the same bug, if not please reopen...
Comment 13 Xisco Faulí 2020-07-22 10:26:05 UTC
I do verify the patch fixes the issue in a local build. will add a unittest for it.

@Michael Stahl, thanks for fixing this issue!!
Comment 14 Commit Notification 2020-07-22 11:15:07 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/30bab6ff42297c9d7759d31e11e814bcb5d38cee

tdf#132911 sw_redlinehide: fix assert in CopyImplImpl()

It will be available in 6.4.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2020-07-22 11:17:22 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/724d5240f69abc675397260fad359080766d0ec5

tdf#132911 sw_redlinehide: fix assert in CopyImplImpl()

It will be available in 7.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2020-07-27 07:59:37 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-0-0":

https://git.libreoffice.org/core/commit/da896afdeb3eff5d46b4f99caf18d5eef4765144

tdf#132911 sw_redlinehide: fix assert in CopyImplImpl()

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2020-07-27 07:59:50 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4-6":

https://git.libreoffice.org/core/commit/b9fd13d94d9de1ad2386fc695954dc9a68cbde27

tdf#132911 sw_redlinehide: fix assert in CopyImplImpl()

It will be available in 6.4.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2020-07-28 22:47:00 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a206054ac048702d48077eea6f3d464c3d241ab3

tdf#132911: sw_uiwriter: Add unittest

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.